!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-08-03 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_2484) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_2487) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_1485) = coupl(nGC_22)*dcggh_QCD4
    coupl(nGC_1484) = coupl(nGC_1349)*dcggh_QCD4
    coupl(nGC_1486) = coupl(nGC_1348)*dZgs_QCD2
    coupl(nGC_2717) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_2158) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_2156) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_2138) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_2135) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_2720) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_2109) = coupl(nGC_2)*dZsR_QCD2
    coupl(nGC_2108) = coupl(nGC_2)*dZsL_QCD2
    coupl(nGC_1496) = -cima*dMU_QCD2
    coupl(nGC_1497) = -cima*dMD_QCD2
    coupl(nGC_1498) = -cima*dMC_QCD2
    coupl(nGC_1499) = -cima*dMS_QCD2
    coupl(nGC_2194) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_2023) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_2021) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_2026) = coupl(nGC_2)*dZbR_QCD2
    coupl(nGC_2024) = coupl(nGC_1499) + coupl(nGC_2021)
    coupl(nGC_2025) = coupl(nGC_2)*dZbL_QCD2
    coupl(nGC_1441) = 5d0*cima*coupl(nGC_2)**4d0*sq2**4d0/(192d0*pi**2d0*Nc**  &
                      2d0)
    coupl(nGC_2020) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_1372) = cima*coupl(nGC_2)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +   &
                      cMD**2d0 + cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_1375) = cima*coupl(nGC_2)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 -  &
                      cMD**2d0 - cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_2143) = coupl(nGC_2)*dZdR_QCD2
    coupl(nGC_2262) = coupl(nGC_11)*dZg_QCD2 + coupl(nGC_1485)
    coupl(nGC_1368) = cMU*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_1369) = cMS*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_1364) = cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_1365) = cMC*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_1366) = cMB*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_1367) = cMD*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_2677) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_2678) = -coupl(nGC_2677)
    coupl(nGC_1500) = -cima*dMB_QCD2
    coupl(nGC_2244) = coupl(nGC_1)*dZg_QCD2/2d0 + coupl(nGC_1486)
    coupl(nGC_2065) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_2140) = coupl(nGC_2)*dZdL_QCD2
    coupl(nGC_2068) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_1489) = coupl(nGC_1360)*dZgs_QCD2 + coupl(nGC_1361)*dcggh_QCD4
    coupl(nGC_1488) = coupl(nGC_1351)*dZgs_QCD2 + coupl(nGC_1352)*dcggh_QCD4
    coupl(nGC_2485) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_1483) = coupl(nGC_1350)*dcggh_QCD4
    coupl(nGC_1487) = coupl(nGC_1353)*dZgs_QCD2
    coupl(nGC_2088) = coupl(nGC_1488) + 3d0*coupl(nGC_6)*dZg_QCD2/2d0
    coupl(nGC_1400) = coupl(nGC_2)**2d0*sq2**3d0*(-12d0*Nc**2d0*cima*coupl(    &
                      nGC_12) + 9d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_11) + 36d0* &
                      Nc**2d0*coupl(nGC_1)*coupl(nGC_616) - 5d0*cima*coupl(    &
                      nGC_11)*coupl(nGC_2) - 14d0*cima*coupl(nGC_2)*coupl(     &
                      nGC_616))/(768d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
