!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-08-03 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_1403) = cMB*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_52 &
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_52) - coupl(    &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_1402) = cMC*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_52 &
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_52) - coupl(    &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_2718) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_1404) = Nc*coupl(nGC_1)*sq2**2d0*(-4d0*cima*coupl(nGC_9) + 4d0*  &
                      coupl(nGC_1)*coupl(nGC_52) - 7d0*coupl(nGC_1)*coupl(nGC_8&
                      ))/(384d0*pi**2d0)
    coupl(nGC_1407) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(46d0*coupl(nGC_52) - 43d0*&
                      coupl(nGC_8))/(768d0*pi**2d0)
    coupl(nGC_1409) = coupl(nGC_1)*sq2**2d0*(4d0*cima*coupl(nGC_9) - 4d0*coupl(&
                      nGC_1)*coupl(nGC_52) + 7d0*coupl(nGC_1)*coupl(nGC_8))/(  &
                      384d0*pi**2d0)
    coupl(nGC_2082) = coupl(nGC_1483) + coupl(nGC_5)*dZg_QCD2
    coupl(nGC_2245) = -coupl(nGC_2244)
    coupl(nGC_2157) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_2136) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_2721) = coupl(nGC_1500) + coupl(nGC_2718)
    coupl(nGC_1412) = coupl(nGC_1)**2d0*sq2**2d0*(-46d0*coupl(nGC_52) + 43d0*  &
                      coupl(nGC_8))/(768d0*pi**2d0)
    coupl(nGC_1410) = coupl(nGC_1)**2d0*sq2**2d0*(2d0*coupl(nGC_52) + 3d0*coupl&
                      (nGC_8))/(768d0*pi**2d0)
    coupl(nGC_2105) = coupl(nGC_1489) + 3d0*coupl(nGC_9)*dZg_QCD2/2d0
    coupl(nGC_1399) = cMU*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_52 &
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_52) - coupl(    &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_1398) = cMD*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_52 &
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_52) - coupl(    &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_1393) = coupl(nGC_2)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_1) - &
                      coupl(nGC_2))/(64d0*pi**2d0*Nc)
    coupl(nGC_1392) = coupl(nGC_2)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_1) +  &
                      coupl(nGC_2))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_1395) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_1)**3d0 + 40d0*coupl(   &
                      nGC_2)**3d0)/(768d0*pi**2d0)
    coupl(nGC_1394) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_1)**3d0 - 40d0*coupl(  &
                      nGC_2)**3d0)/(768d0*pi**2d0)
    coupl(nGC_1397) = cMS*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_52 &
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_52) - coupl(    &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_1396) = coupl(nGC_2)**2d0*sq2**2d0*(5d0*Nc**2d0*coupl(nGC_52) +  &
                      2d0*Nc**2d0*coupl(nGC_8) - 5d0*coupl(nGC_52) - 2d0*coupl(&
                      nGC_8))/(192d0*pi**2d0*Nc)
    coupl(nGC_1494) = coupl(nGC_26)*dZgs_QCD2
    coupl(nGC_1490) = coupl(nGC_1356)*dZgs_QCD2 + coupl(nGC_1357)*dcggh_QCD4
    coupl(nGC_1491) = coupl(nGC_1362)*dZgs_QCD2 + coupl(nGC_1363)*dcggh_QCD4
    coupl(nGC_1387) = coupl(nGC_1)*sq2**2d0*(-24d0*cima*coupl(nGC_12) + 21d0*  &
                      coupl(nGC_1)*coupl(nGC_11) - 14d0*coupl(nGC_1)*coupl(    &
                      nGC_616))/(768d0*pi**2d0)
    coupl(nGC_1384) = Nc*coupl(nGC_1)*sq2**2d0*(8d0*cima*coupl(nGC_12) + 11d0* &
                      coupl(nGC_1)*coupl(nGC_11) - 10d0*coupl(nGC_1)*coupl(    &
                      nGC_616))/(768d0*pi**2d0)
    coupl(nGC_1385) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(-3d0*coupl(nGC_11) - 2d0* &
                      coupl(nGC_616))/(768d0*pi**2d0)
    coupl(nGC_1382) = Nc*coupl(nGC_1)*sq2**2d0*(24d0*cima*coupl(nGC_12) - 21d0*&
                      coupl(nGC_1)*coupl(nGC_11) + 14d0*coupl(nGC_1)*coupl(    &
                      nGC_616))/(768d0*pi**2d0)
    coupl(nGC_1383) = Nc*coupl(nGC_1)*sq2**2d0*(8d0*cima*coupl(nGC_12) - 9d0*  &
                      coupl(nGC_1)*coupl(nGC_11) + 14d0*coupl(nGC_1)*coupl(    &
                      nGC_616))/(384d0*pi**2d0)
    coupl(nGC_1380) = cMC*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_616) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_616))/(128d0*pi**2d0*Nc)
    coupl(nGC_1381) = cMB*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_616) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_616))/(128d0*pi**2d0*Nc)
    coupl(nGC_2054) = coupl(nGC_1491) + 2d0*coupl(nGC_7)*dZg_QCD2
    coupl(nGC_1388) = coupl(nGC_1)*sq2**2d0*(-8d0*cima*coupl(nGC_12) + 9d0*    &
                      coupl(nGC_1)*coupl(nGC_11) - 14d0*coupl(nGC_1)*coupl(    &
                      nGC_616))/(384d0*pi**2d0)
    coupl(nGC_1389) = coupl(nGC_1)*sq2**2d0*(-8d0*cima*coupl(nGC_12) - 11d0*   &
                      coupl(nGC_1)*coupl(nGC_11) + 10d0*coupl(nGC_1)*coupl(    &
                      nGC_616))/(768d0*pi**2d0)
    coupl(nGC_1390) = coupl(nGC_1)**2d0*sq2**2d0*(3d0*coupl(nGC_11) + 2d0*coupl&
                      (nGC_616))/(768d0*pi**2d0)
    coupl(nGC_2195) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_2029) = coupl(nGC_1494) + coupl(nGC_2)*dZg_QCD2/2d0
    coupl(nGC_1444) = coupl(nGC_2)**2d0*sq2**3d0*(12d0*Nc**2d0*cima*coupl(nGC_9&
                      ) - 36d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_52) - 9d0*Nc**2d0&
                      *coupl(nGC_1)*coupl(nGC_8) + 14d0*cima*coupl(nGC_2)*coupl&
                      (nGC_52) + 5d0*cima*coupl(nGC_2)*coupl(nGC_8))/(768d0*pi &
                      **2d0*Nc**2d0)
    coupl(nGC_2204) = coupl(nGC_1484) + coupl(nGC_8)*dZg_QCD2
    coupl(nGC_1442) = -5d0*cima*coupl(nGC_2)**4d0*sq2**4d0/(64d0*pi**2d0*Nc**  &
                      3d0)
    coupl(nGC_1378) = cMS*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_616) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_616))/(128d0*pi**2d0*Nc)
    coupl(nGC_1379) = cMD*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_616) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_616))/(128d0*pi**2d0*Nc)
    coupl(nGC_1373) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_1)**2d0 + 10d0*coupl(   &
                      nGC_2)**2d0)/(192d0*pi**2d0*Nc)
    coupl(nGC_1371) = -Nc*cima*coupl(nGC_1)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_1370) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_1)**2d0 - 10d0*coupl(    &
                      nGC_2)**2d0)/(192d0*pi**2d0)
    coupl(nGC_1377) = cMU*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_616) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_616))/(128d0*pi**2d0*Nc)
    coupl(nGC_1376) = coupl(nGC_2)**2d0*sq2**2d0*(-2d0*Nc**2d0*coupl(nGC_11) - &
                      5d0*Nc**2d0*coupl(nGC_616) + 2d0*coupl(nGC_11) + 5d0*    &
                      coupl(nGC_616))/(384d0*pi**2d0*Nc)
    coupl(nGC_1374) = cima*coupl(nGC_1)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_2112) = coupl(nGC_2029) + coupl(nGC_2109)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
