!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-08-03 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(593)%branchR2(0:1))
    call avR2(593, 0, 528, 8, 0, FVSFa0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(593, 1, 529, 8, 0, FVSFa0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(594)%branchR2(0:0))
    call avR2(594, 0, 483, 8, 0, FFaSS0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1399, nGC_1399])

    allocate(vertices(595)%branchR2(0:1))
    call avR2(595, 0, 498, 8, 0, FaSVF0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(595, 1, 499, 8, 0, FaSVF0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(596)%branchR2(0:1))
    call avR2(596, 0, 607, 8, 0, VSFaSF0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(596, 1, 608, 8, 0, VSFaSF0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(597)%branchR2(0:1))
    call avR2(597, 0, 486, 8, 0, SFaVF0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(597, 1, 487, 8, 0, SFaVF0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(598)%branchR2(0:1))
    call avR2(598, 0, 506, 8, 0, FaFSV0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(598, 1, 507, 8, 0, FaFSV0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(599)%branchR2(0:1))
    call avR2(599, 0, 565, 8, 0, SSFaVF0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(599, 1, 566, 8, 0, SSFaVF0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(600)%branchR2(0:0))
    call avR2(600, 0, 462, 8, 0, SFFa0, 0, [4, 1], [nGC_1376, nGC_1376,        &
    nGC_1380, nGC_1380])

    allocate(vertices(150)%branchR2(0:0))
    call avR2(150, 0, 461, 8, 0, FaF0, 0, [2, 0], [nGC_1364, nGC_1364, nGC_1365&
    , nGC_1365])

    allocate(vertices(601)%branchR2(0:1))
    call avR2(601, 0, 637, 8, 0, FaVFSS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(601, 1, 638, 8, 0, FaVFSS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(602)%branchR2(0:1))
    call avR2(602, 0, 669, 8, 0, FFaSVS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(602, 1, 670, 8, 0, FFaSVS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(603)%branchR2(0:1))
    call avR2(603, 0, 659, 8, 0, FSFaVS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(603, 1, 660, 8, 0, FSFaVS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 464, 8, 0, FaFS0, 0, [4, 1], [nGC_1376, nGC_1376,        &
    nGC_1379, nGC_1379])

    allocate(vertices(605)%branchR2(0:1))
    call avR2(605, 0, 569, 8, 0, SVFFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(605, 1, 570, 8, 0, SVFFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(606)%branchR2(0:1))
    call avR2(606, 0, 530, 8, 0, FVFaS0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(606, 1, 531, 8, 0, FVFaS0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(607)%branchR2(0:1))
    call avR2(607, 0, 522, 8, 0, FSVFa0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(607, 1, 523, 8, 0, FSVFa0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(608)%branchR2(0:1))
    call avR2(608, 0, 615, 8, 0, VFaSSF0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(608, 1, 616, 8, 0, VFaSSF0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(609)%branchR2(0:1))
    call avR2(609, 0, 617, 8, 0, VFaSFS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(609, 1, 618, 8, 0, VFaSFS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 478, 8, 0, FaSFS0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1403, nGC_1403])

    allocate(vertices(611)%branchR2(0:1))
    call avR2(611, 0, 581, 8, 0, SFaFVS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(611, 1, 582, 8, 0, SFaFVS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(136)%branchR2(0:23))
    call avR2(136, 0, 10, 8, 0, VVVV0, 0, [4, 0], [nGC_1427, nGC_1427, nGC_1426&
    ])

    call avR2(136, 1, 11, 8, 0, VVVV0, 0, [4, 0], [nGC_1427, nGC_1427, nGC_1426&
    ])

    call avR2(136, 2, 12, 8, 0, VVVV0, 0, [4, 0], [nGC_1438, nGC_1440, nGC_1439&
    ])

    call avR2(136, 3, 13, 8, 0, VVVV0, 0, [4, 0], [nGC_1435, nGC_1437, nGC_1436&
    ])

    call avR2(136, 4, 14, 8, 0, VVVV0, 0, [4, 0], [nGC_1438, nGC_1440, nGC_1439&
    ])

    call avR2(136, 5, 15, 8, 0, VVVV0, 0, [4, 0], [nGC_1435, nGC_1437, nGC_1436&
    ])

    call avR2(136, 6, 535, 8, 0, VVVV0, 0, [4, 0], [nGC_1428, nGC_1428,        &
    nGC_1428])

    call avR2(136, 7, 536, 8, 0, VVVV0, 0, [4, 0], [nGC_1429, nGC_1428,        &
    nGC_1430])

    call avR2(136, 8, 537, 8, 0, VVVV0, 0, [4, 0], [nGC_1432, nGC_1431,        &
    nGC_1431])

    call avR2(136, 9, 538, 8, 0, VVVV0, 0, [4, 0], [nGC_1429, nGC_1430,        &
    nGC_1428])

    call avR2(136, 10, 539, 8, 0, VVVV0, 0, [4, 0], [nGC_1433, nGC_1434,       &
    nGC_1432])

    call avR2(136, 11, 540, 8, 0, VVVV0, 0, [4, 0], [nGC_1431, nGC_1432,       &
    nGC_1431])

    call avR2(136, 12, 541, 8, 0, VVVV0, 0, [4, 0], [nGC_1428, nGC_1430,       &
    nGC_1429])

    call avR2(136, 13, 542, 8, 0, VVVV0, 0, [4, 0], [nGC_1428, nGC_1430,       &
    nGC_1429])

    call avR2(136, 14, 543, 8, 0, VVVV0, 0, [4, 0], [nGC_1429, nGC_1430,       &
    nGC_1428])

    call avR2(136, 15, 544, 8, 0, VVVV0, 0, [4, 0], [nGC_1429, nGC_1428,       &
    nGC_1430])

    call avR2(136, 16, 545, 8, 0, VVVV0, 0, [4, 0], [nGC_1428, nGC_1428,       &
    nGC_1428])

    call avR2(136, 17, 546, 8, 0, VVVV0, 0, [4, 0], [nGC_1441, nGC_1441,       &
    nGC_1441])

    call avR2(136, 18, 547, 8, 0, VVVV0, 0, [4, 0], [nGC_1441, nGC_1441,       &
    nGC_1441])

    call avR2(136, 19, 548, 8, 0, VVVV0, 0, [4, 0], [nGC_1441, nGC_1441,       &
    nGC_1441])

    call avR2(136, 20, 549, 8, 0, VVVV0, 0, [4, 0], [nGC_1442, nGC_1442,       &
    nGC_1442])

    call avR2(136, 21, 550, 8, 0, VVVV0, 0, [4, 0], [nGC_1441, nGC_1441,       &
    nGC_1441])

    call avR2(136, 22, 551, 8, 0, VVVV0, 0, [4, 0], [nGC_1441, nGC_1441,       &
    nGC_1441])

    call avR2(136, 23, 552, 8, 0, VVVV0, 0, [4, 0], [nGC_1441, nGC_1441,       &
    nGC_1441])

    allocate(vertices(612)%branchR2(0:1))
    call avR2(612, 0, 663, 8, 0, FVSFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(612, 1, 664, 8, 0, FVSFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 483, 8, 0, FFaSS0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1397, nGC_1397])

    allocate(vertices(614)%branchR2(0:1))
    call avR2(614, 0, 621, 8, 0, VFSFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(614, 1, 622, 8, 0, VFSFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(615)%branchR2(0:1))
    call avR2(615, 0, 488, 8, 0, SFaFV0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(615, 1, 489, 8, 0, SFaFV0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(157)%branchR2(0:0))
    call avR2(157, 0, 461, 8, 0, FaF0, 0, [2, 0], [nGC_1364, nGC_1364, nGC_1366&
    , nGC_1366])

    allocate(vertices(616)%branchR2(0:1))
    call avR2(616, 0, 605, 8, 0, VSFFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(616, 1, 606, 8, 0, VSFFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(617)%branchR2(0:1))
    call avR2(617, 0, 609, 8, 0, VSFaFS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(617, 1, 610, 8, 0, VSFaFS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(618)%branchR2(0:1))
    call avR2(618, 0, 583, 8, 0, SFaVSF0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(618, 1, 584, 8, 0, SFaVSF0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(619)%branchR2(0:1))
    call avR2(619, 0, 587, 8, 0, SFaSFV0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(619, 1, 588, 8, 0, SFaSFV0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(17)%branchR2(0:1))
    call avR2(17, 0, 49, 8, 0, FVFa0, 0, [3, 0], [nGC_1393, nGC_1393])

    call avR2(17, 1, 50, 8, 0, FVFa0, 0, [3, 0], [nGC_1392, nGC_1392])

    allocate(vertices(620)%branchR2(0:1))
    call avR2(620, 0, 659, 8, 0, FSFaVS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(620, 1, 660, 8, 0, FSFaVS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(621)%branchR2(0:1))
    call avR2(621, 0, 484, 8, 0, VSFFa0, 0, [5, 1], [nGC_1400, nGC_1400])

    call avR2(621, 1, 485, 8, 0, VSFFa0, 0, [5, 1], [nGC_1401, nGC_1401])

    allocate(vertices(23)%branchR2(0:1))
    call avR2(23, 0, 20, 8, 0, VVVS1, 0, [5, 1], [nGC_1420, nGC_1421, nGC_1423 &
    , nGC_1424, nGC_1422, nGC_1425])

    call avR2(23, 1, 21, 8, 0, VVVS1, 0, [5, 1], [nGC_1414, nGC_1415, nGC_1417 &
    , nGC_1418, nGC_1416, nGC_1419])

    allocate(vertices(26)%branchR2(0:1))
    call avR2(26, 0, 293, 8, 0, VSV1, 0, [4, 1], [nGC_1389, nGC_1388, nGC_1390 &
    , nGC_1391, nGC_1387])

    call avR2(26, 1, 294, 8, 0, VSV1, 0, [4, 1], [nGC_1384, nGC_1383, nGC_1385 &
    , nGC_1386, nGC_1382])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 466, 8, 0, FFaS0, 0, [4, 1], [nGC_1376, nGC_1376,        &
    nGC_1377, nGC_1377])

    allocate(vertices(623)%branchR2(0:1))
    call avR2(623, 0, 671, 8, 0, FFaVSS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(623, 1, 672, 8, 0, FFaVSS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(624)%branchR2(0:1))
    call avR2(624, 0, 555, 8, 0, SSFVFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(624, 1, 556, 8, 0, SSFVFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(625)%branchR2(0:1))
    call avR2(625, 0, 516, 8, 0, VFaSF0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(625, 1, 517, 8, 0, VFaSF0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(626)%branchR2(0:1))
    call avR2(626, 0, 567, 8, 0, SVFSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(626, 1, 568, 8, 0, SVFSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(627)%branchR2(0:1))
    call avR2(627, 0, 518, 8, 0, VFaFS0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(627, 1, 519, 8, 0, VFaFS0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(628)%branchR2(0:0))
    call avR2(628, 0, 477, 8, 0, SFFaS0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1403, nGC_1403])

    allocate(vertices(629)%branchR2(0:1))
    call avR2(629, 0, 627, 8, 0, FaSFVS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(629, 1, 628, 8, 0, FaSFVS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(630)%branchR2(0:1))
    call avR2(630, 0, 508, 8, 0, FaFVS0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(630, 1, 509, 8, 0, FaFVS0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(631)%branchR2(0:0))
    call avR2(631, 0, 476, 8, 0, SFSFa0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1402, nGC_1402])

    allocate(vertices(632)%branchR2(0:0))
    call avR2(632, 0, 462, 8, 0, SFFa0, 0, [4, 1], [nGC_1376, nGC_1376,        &
    nGC_1378, nGC_1378])

    allocate(vertices(633)%branchR2(0:1))
    call avR2(633, 0, 555, 8, 0, SSFVFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(633, 1, 556, 8, 0, SSFVFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(634)%branchR2(0:1))
    call avR2(634, 0, 575, 8, 0, SVSFFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(634, 1, 576, 8, 0, SVSFFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(635)%branchR2(0:1))
    call avR2(635, 0, 643, 8, 0, FaFSSV0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(635, 1, 644, 8, 0, FaFSSV0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(636)%branchR2(0:1))
    call avR2(636, 0, 661, 8, 0, FVSSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(636, 1, 662, 8, 0, FVSSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(637)%branchR2(0:1))
    call avR2(637, 0, 597, 8, 0, SFVFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(637, 1, 598, 8, 0, SFVFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(638)%branchR2(0:1))
    call avR2(638, 0, 565, 8, 0, SSFaVF0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(638, 1, 566, 8, 0, SSFaVF0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(639)%branchR2(0:1))
    call avR2(639, 0, 528, 8, 0, FVSFa0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(639, 1, 529, 8, 0, FVSFa0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(640)%branchR2(0:0))
    call avR2(640, 0, 479, 8, 0, FaSSF0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1402, nGC_1402])

    allocate(vertices(641)%branchR2(0:1))
    call avR2(641, 0, 557, 8, 0, SSFFaV0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(641, 1, 558, 8, 0, SSFFaV0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 465, 8, 0, SFaF0, 0, [4, 1], [nGC_1376, nGC_1376,        &
    nGC_1381, nGC_1381])

    allocate(vertices(643)%branchR2(0:1))
    call avR2(643, 0, 603, 8, 0, VSFSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(643, 1, 604, 8, 0, VSFSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 481, 8, 0, FSSFa0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1397, nGC_1397])

    allocate(vertices(645)%branchR2(0:1))
    call avR2(645, 0, 500, 8, 0, FaSFV0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(645, 1, 501, 8, 0, FaSFV0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(646)%branchR2(0:1))
    call avR2(646, 0, 577, 8, 0, SVSFaF0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(646, 1, 578, 8, 0, SVSFaF0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(647)%branchR2(0:1))
    call avR2(647, 0, 496, 8, 0, SFVFa0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(647, 1, 497, 8, 0, SFVFa0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(648)%branchR2(0:1))
    call avR2(648, 0, 565, 8, 0, SSFaVF0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(648, 1, 566, 8, 0, SSFaVF0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(649)%branchR2(0:1))
    call avR2(649, 0, 575, 8, 0, SVSFFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(649, 1, 576, 8, 0, SVSFFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(650)%branchR2(0:1))
    call avR2(650, 0, 633, 8, 0, FaSSFV0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(650, 1, 634, 8, 0, FaSSFV0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(651)%branchR2(0:0))
    call avR2(651, 0, 462, 8, 0, SFFa0, 0, [4, 1], [nGC_1376, nGC_1376,        &
    nGC_1379, nGC_1379])

    allocate(vertices(652)%branchR2(0:1))
    call avR2(652, 0, 669, 8, 0, FFaSVS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(652, 1, 670, 8, 0, FFaSVS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(55)%branchR2(0:1))
    call avR2(55, 0, 319, 8, 0, VVSSV1, 1, [5, 2], [nGC_1456, nGC_1451,        &
    nGC_1454, nGC_1453, nGC_1455, nGC_1452])

    call avR2(55, 1, 320, 8, 0, VVSSV1, 1, [5, 2], [nGC_1450, nGC_1445,        &
    nGC_1448, nGC_1447, nGC_1449, nGC_1446])

    allocate(vertices(653)%branchR2(0:1))
    call avR2(653, 0, 516, 8, 0, VFaSF0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(653, 1, 517, 8, 0, VFaSF0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(654)%branchR2(0:1))
    call avR2(654, 0, 484, 8, 0, VSFFa0, 0, [5, 1], [nGC_1400, nGC_1400])

    call avR2(654, 1, 485, 8, 0, VSFFa0, 0, [5, 1], [nGC_1401, nGC_1401])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 478, 8, 0, FaSFS0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1402, nGC_1402])

    allocate(vertices(656)%branchR2(0:1))
    call avR2(656, 0, 518, 8, 0, VFaFS0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(656, 1, 519, 8, 0, VFaFS0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(657)%branchR2(0:1))
    call avR2(657, 0, 575, 8, 0, SVSFFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(657, 1, 576, 8, 0, SVSFFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(658)%branchR2(0:1))
    call avR2(658, 0, 496, 8, 0, SFVFa0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(658, 1, 497, 8, 0, SFVFa0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(659)%branchR2(0:0))
    call avR2(659, 0, 467, 8, 0, FSFa0, 0, [4, 1], [nGC_1376, nGC_1376,        &
    nGC_1377, nGC_1377])

    allocate(vertices(660)%branchR2(0:1))
    call avR2(660, 0, 581, 8, 0, SFaFVS0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(660, 1, 582, 8, 0, SFaFVS0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(661)%branchR2(0:1))
    call avR2(661, 0, 667, 8, 0, FFaSSV0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(661, 1, 668, 8, 0, FFaSSV0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(662)%branchR2(0:1))
    call avR2(662, 0, 510, 8, 0, VSFaF0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(662, 1, 511, 8, 0, VSFaF0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(663)%branchR2(0:1))
    call avR2(663, 0, 633, 8, 0, FaSSFV0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(663, 1, 634, 8, 0, FaSSFV0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(0)%branchR2(0:1))
    call avR2(0, 0, 53, 8, 0, VFFa0, 0, [3, 0], [nGC_1393, nGC_1393])

    call avR2(0, 1, 54, 8, 0, VFFa0, 0, [3, 0], [nGC_1392, nGC_1392])

    allocate(vertices(37)%branchR2(0:1))
    call avR2(37, 0, 45, 8, 0, FaVF0, 0, [3, 0], [nGC_1393, nGC_1393])

    call avR2(37, 1, 46, 8, 0, FaVF0, 0, [3, 0], [nGC_1392, nGC_1392])

    allocate(vertices(664)%branchR2(0:1))
    call avR2(664, 0, 506, 8, 0, FaFSV0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(664, 1, 507, 8, 0, FaFSV0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(665)%branchR2(0:1))
    call avR2(665, 0, 619, 8, 0, VFSSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

    call avR2(665, 1, 620, 8, 0, VFSSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

    allocate(vertices(666)%branchR2(0:0))
    call avR2(666, 0, 474, 8, 0, SFaFS0, 0, [4, 2], [nGC_1396, nGC_1396,       &
    nGC_1402, nGC_1402])

    allocate(vertices(667)%branchR2(0:1))
    call avR2(667, 0, 514, 8, 0, VFFaS0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(667, 1, 515, 8, 0, VFFaS0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(668)%branchR2(0:1))
    call avR2(668, 0, 506, 8, 0, FaFSV0, 0, [5, 1], [nGC_1401, nGC_1401])

    call avR2(668, 1, 507, 8, 0, FaFSV0, 0, [5, 1], [nGC_1400, nGC_1400])

    allocate(vertices(27)%branchR2(0:1))
    call avR2(27, 0, 53, 8, 0, VFFa0, 0, [3, 0], [nGC_1393, nGC_1393])

    call avR2(27, 1, 54, 8, 0, VFFa0, 0, [3, 0], [nGC_1392, nGC_1392])

  end subroutine fill_vertices_mdl2
end module vertices_info2
