!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-08-03 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_1391) = (-12d0*cima*coupl(nGC_1)*coupl(nGC_12)*sq2**2d0 + 4d0*   &
                      cima*coupl(nGC_11)*coupl(nGC_246) + 8d0*cima*coupl(      &
                      nGC_244)*coupl(nGC_616) + 40d0*cima*coupl(nGC_246)*coupl(&
                      nGC_616) + 5d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0  &
                       + 66d0*coupl(nGC_1)**2d0*coupl(nGC_616)*sq2**2d0)/(768d0&
                      *pi**2d0)
    coupl(nGC_1452) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 + 40d0*cima*coupl(nGC_244)*coupl(nGC_52) +    &
                      12d0*cima*coupl(nGC_244)*coupl(nGC_8) + 28d0*cima*coupl( &
                      nGC_246)*coupl(nGC_52) - 4d0*cima*coupl(nGC_246)*coupl(  &
                      nGC_8) - 8d0*cima*coupl(nGC_252)*coupl(nGC_52) + 76d0*   &
                      cima*coupl(nGC_3)*coupl(nGC_52) + 8d0*cima*coupl(nGC_3)* &
                      coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2 &
                      **2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(  &
                      1536d0*pi**2d0)
    coupl(nGC_1453) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 + 76d0*cima*coupl(nGC_244)*coupl(nGC_52) + 8d0* &
                      cima*coupl(nGC_244)*coupl(nGC_8) - 8d0*cima*coupl(nGC_246&
                      )*coupl(nGC_52) + 28d0*cima*coupl(nGC_252)*coupl(nGC_52  &
                      ) - 4d0*cima*coupl(nGC_252)*coupl(nGC_8) + 40d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_52) + 12d0*cima*coupl(nGC_3)*coupl&
                      (nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2**2d0 &
                       - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*&
                      pi**2d0)
    coupl(nGC_1450) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 - 36d0*cima*coupl(nGC_244)*coupl(nGC_52) - 16d0*&
                      cima*coupl(nGC_244)*coupl(nGC_8) - 24d0*cima*coupl(      &
                      nGC_246)*coupl(nGC_52) + 12d0*cima*coupl(nGC_252)*coupl( &
                      nGC_52) - 4d0*cima*coupl(nGC_252)*coupl(nGC_8) - 72d0*   &
                      cima*coupl(nGC_3)*coupl(nGC_52) - 12d0*cima*coupl(nGC_3)*&
                      coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2 &
                      **2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(  &
                      1536d0*pi**2d0)
    coupl(nGC_1451) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 + 72d0*cima*coupl(nGC_244)*coupl(nGC_52) + 12d0*&
                      cima*coupl(nGC_244)*coupl(nGC_8) - 12d0*cima*coupl(      &
                      nGC_246)*coupl(nGC_52) + 4d0*cima*coupl(nGC_246)*coupl(  &
                      nGC_8) + 24d0*cima*coupl(nGC_252)*coupl(nGC_52) + 36d0*  &
                      cima*coupl(nGC_3)*coupl(nGC_52) + 16d0*cima*coupl(nGC_3)*&
                      coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2 &
                      **2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(  &
                      1536d0*pi**2d0)
    coupl(nGC_1456) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 + 36d0*cima*coupl(nGC_244)*coupl(nGC_52) +    &
                      16d0*cima*coupl(nGC_244)*coupl(nGC_8) + 24d0*cima*coupl( &
                      nGC_246)*coupl(nGC_52) - 12d0*cima*coupl(nGC_252)*coupl( &
                      nGC_52) + 4d0*cima*coupl(nGC_252)*coupl(nGC_8) + 72d0*   &
                      cima*coupl(nGC_3)*coupl(nGC_52) + 12d0*cima*coupl(nGC_3)*&
                      coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2 &
                      **2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(  &
                      1536d0*pi**2d0)
    coupl(nGC_1457) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 188d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_244)*sq2**2d0 + 4d0*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*coupl(nGC_246)*sq2**2d0 - 12d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 + 108d0*cima&
                      *coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - &
                      1040d0*cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(      &
                      nGC_616)*sq2**2d0 - 32d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_246)*coupl(nGC_616)*sq2**2d0 - 8d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 + 568d0*   &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2** &
                      2d0 - 192d0*cima*coupl(nGC_110)*coupl(nGC_3) - 192d0*cima&
                      *coupl(nGC_13)*coupl(nGC_244) + 63d0*coupl(nGC_1)**4d0*  &
                      coupl(nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(  &
                      nGC_616)*sq2**4d0 - 336d0*coupl(nGC_1)**2d0*coupl(nGC_110&
                      )*sq2**2d0 - 312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(     &
                      nGC_244)*sq2**2d0 + 360d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_3)*sq2**2d0 + 96d0*coupl(nGC_11)*coupl(nGC_244 &
                      )*coupl(nGC_3) + 96d0*coupl(nGC_244)*coupl(nGC_252)*coupl&
                      (nGC_616) + 1056d0*coupl(nGC_244)*coupl(nGC_3)*coupl(    &
                      nGC_616) + 96d0*coupl(nGC_246)*coupl(nGC_252)*coupl(     &
                      nGC_616) + 96d0*coupl(nGC_246)*coupl(nGC_3)*coupl(nGC_616&
                      ))/(6144d0*pi**2d0)
    coupl(nGC_1454) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 - 80d0*cima*coupl(nGC_244)*coupl(nGC_52) -    &
                      16d0*cima*coupl(nGC_244)*coupl(nGC_8) + 4d0*cima*coupl(  &
                      nGC_246)*coupl(nGC_52) - 8d0*cima*coupl(nGC_246)*coupl(  &
                      nGC_8) - 32d0*cima*coupl(nGC_252)*coupl(nGC_52) - 4d0*   &
                      cima*coupl(nGC_252)*coupl(nGC_8) - 44d0*cima*coupl(nGC_3 &
                      )*coupl(nGC_52) - 20d0*cima*coupl(nGC_3)*coupl(nGC_8) +  &
                      105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2**2d0 + 24d0*   &
                      coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1455) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 - 44d0*cima*coupl(nGC_244)*coupl(nGC_52) - 20d0*&
                      cima*coupl(nGC_244)*coupl(nGC_8) - 32d0*cima*coupl(      &
                      nGC_246)*coupl(nGC_52) - 4d0*cima*coupl(nGC_246)*coupl(  &
                      nGC_8) + 4d0*cima*coupl(nGC_252)*coupl(nGC_52) - 8d0*cima&
                      *coupl(nGC_252)*coupl(nGC_8) - 80d0*cima*coupl(nGC_3)*   &
                      coupl(nGC_52) - 16d0*cima*coupl(nGC_3)*coupl(nGC_8) -    &
                      105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2**2d0 - 24d0*   &
                      coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2070) = coupl(nGC_2029) + coupl(nGC_2065)
    coupl(nGC_1458) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_244)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_246)*sq2**2d0 + 148d0*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - 836d0*cima* &
                      coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2**2d0 &
                       + 4d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl(      &
                      nGC_616)*sq2**2d0 + 28d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 + 772d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 - 192d0*cima*&
                      coupl(nGC_110)*coupl(nGC_3) - 192d0*cima*coupl(nGC_13)*  &
                      coupl(nGC_244) + 63d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2&
                      **4d0 + 350d0*coupl(nGC_1)**4d0*coupl(nGC_616)*sq2**4d0  &
                       - 336d0*coupl(nGC_1)**2d0*coupl(nGC_110)*sq2**2d0 -     &
                      192d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2**2d0 &
                       + 480d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0&
                       + 96d0*coupl(nGC_11)*coupl(nGC_244)*coupl(nGC_3) + 96d0*&
                      coupl(nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 1056d0*   &
                      coupl(nGC_244)*coupl(nGC_3)*coupl(nGC_616) + 96d0*coupl( &
                      nGC_246)*coupl(nGC_252)*coupl(nGC_616) + 96d0*coupl(     &
                      nGC_246)*coupl(nGC_3)*coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_1459) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       + 40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                      nGC_244)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_246)*sq2**2d0 + 64d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 24d0*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 +  &
                      112d0*cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616&
                      )*sq2**2d0 - 224d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*&
                      coupl(nGC_616)*sq2**2d0 + 160d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 - 80d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 - 3d0*  &
                      coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 162d0*coupl(  &
                      nGC_1)**4d0*coupl(nGC_616)*sq2**4d0 - 96d0*coupl(nGC_1)**&
                      2d0*coupl(nGC_112)*sq2**2d0 - 72d0*coupl(nGC_1)*coupl(   &
                      nGC_12)*coupl(nGC_246)*sq2**2d0 + 120d0*coupl(nGC_1)*    &
                      coupl(nGC_12)*coupl(nGC_252)*sq2**2d0 + 192d0*coupl(     &
                      nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 192d0*coupl(    &
                      nGC_246)*coupl(nGC_3)*coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_2077) = 3d0*coupl(nGC_1)*dZg_QCD2/2d0 + coupl(nGC_1486)
    coupl(nGC_1416) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 + 20d0*cima*coupl(nGC_11)*coupl(nGC_244) + 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_246) + 8d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_252) + 16d0*cima*coupl(nGC_11)*coupl(  &
                      nGC_3) + 44d0*cima*coupl(nGC_244)*coupl(nGC_616) + 32d0* &
                      cima*coupl(nGC_246)*coupl(nGC_616) - 4d0*cima*coupl(     &
                      nGC_252)*coupl(nGC_616) + 80d0*cima*coupl(nGC_3)*coupl(  &
                      nGC_616) + 24d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 &
                       + 105d0*coupl(nGC_1)**2d0*coupl(nGC_616)*sq2**2d0)/(    &
                      1536d0*pi**2d0)
    coupl(nGC_3167) = coupl(nGC_1487) + 2d0*coupl(nGC_3)*dZg_QCD2
    coupl(nGC_3168) = -coupl(nGC_3167)
    coupl(nGC_3169) = 2d0*coupl(nGC_3167)
    coupl(nGC_1443) = coupl(nGC_2)**2d0*sq2**3d0*(-12d0*Nc**2d0*cima*coupl(    &
                      nGC_9) + 36d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_52) + 9d0*Nc&
                      **2d0*coupl(nGC_1)*coupl(nGC_8) - 14d0*cima*coupl(nGC_2)*&
                      coupl(nGC_52) - 5d0*cima*coupl(nGC_2)*coupl(nGC_8))/(    &
                      768d0*pi**2d0*Nc)
    coupl(nGC_2205) = -coupl(nGC_2204)
    coupl(nGC_1480) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_244)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*coupl(nGC_246)*sq2**2d0 - 8d0*cima*coupl(nGC_1)**&
                      2d0*coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 + 148d0*cima*  &
                      coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 -  &
                      804d0*cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616&
                      )*sq2**2d0 - 12d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)* &
                      coupl(nGC_616)*sq2**2d0 + 12d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 + 804d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 192d0&
                      *cima*coupl(nGC_110)*coupl(nGC_244) + 192d0*cima*coupl(  &
                      nGC_13)*coupl(nGC_3) + 63d0*coupl(nGC_1)**4d0*coupl(     &
                      nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(nGC_616 &
                      )*sq2**4d0 + 336d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2** &
                      2d0 - 504d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2&
                      **2d0 + 168d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2&
                      **2d0 - 48d0*coupl(nGC_11)*coupl(nGC_244)**2d0 - 48d0*   &
                      coupl(nGC_11)*coupl(nGC_3)**2d0 - 528d0*coupl(nGC_244)** &
                      2d0*coupl(nGC_616) - 96d0*coupl(nGC_244)*coupl(nGC_246)* &
                      coupl(nGC_616) - 48d0*coupl(nGC_246)**2d0*coupl(nGC_616  &
                      ) - 48d0*coupl(nGC_252)**2d0*coupl(nGC_616) - 96d0*coupl(&
                      nGC_252)*coupl(nGC_3)*coupl(nGC_616) - 528d0*coupl(nGC_3 &
                      )**2d0*coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_1461) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      60d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*    &
                      coupl(nGC_246)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0*cima*coupl(  &
                      nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2**2d0 -     &
                      540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl(nGC_616&
                      )*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_252)*&
                      coupl(nGC_616)*sq2**2d0 - 756d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima*coupl(  &
                      nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*coupl(&
                      nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - 96d0* &
                      cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(nGC_1)** &
                      4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**4d0*    &
                      coupl(nGC_616)*sq2**4d0 + 120d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_110)*sq2**2d0 - 120d0*coupl(nGC_1)**2d0*coupl(nGC_112&
                      )*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_118)*sq2** &
                      2d0 - 168d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 +   &
                      240d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2**2d0 &
                       - 240d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)*sq2** &
                      2d0 - 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252)*sq2 &
                      **2d0 - 336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2&
                      **2d0 - 48d0*coupl(nGC_11)*coupl(nGC_244)*coupl(nGC_246  &
                      ) + 48d0*coupl(nGC_11)*coupl(nGC_246)*coupl(nGC_3) -     &
                      192d0*coupl(nGC_244)**2d0*coupl(nGC_616) - 528d0*coupl(  &
                      nGC_244)*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl(     &
                      nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 192d0*coupl(    &
                      nGC_244)*coupl(nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_246&
                      )**2d0*coupl(nGC_616) + 48d0*coupl(nGC_246)*coupl(nGC_252&
                      )*coupl(nGC_616) + 432d0*coupl(nGC_246)*coupl(nGC_3)*    &
                      coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_1492) = coupl(nGC_1358)*dZgs_QCD2 + coupl(nGC_1359)*dcggh_QCD4
    coupl(nGC_1493) = coupl(nGC_1354)*dZgs_QCD2 + coupl(nGC_1355)*dcggh_QCD4
    coupl(nGC_1419) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 + 16d0*cima*coupl(nGC_11)*coupl(nGC_244) + 8d0&
                      *cima*coupl(nGC_11)*coupl(nGC_246) + 4d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_252) + 20d0*cima*coupl(nGC_11)*coupl(  &
                      nGC_3) + 80d0*cima*coupl(nGC_244)*coupl(nGC_616) - 4d0*  &
                      cima*coupl(nGC_246)*coupl(nGC_616) + 32d0*cima*coupl(    &
                      nGC_252)*coupl(nGC_616) + 44d0*cima*coupl(nGC_3)*coupl(  &
                      nGC_616) - 24d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 &
                       - 105d0*coupl(nGC_1)**2d0*coupl(nGC_616)*sq2**2d0)/(    &
                      1536d0*pi**2d0)
    coupl(nGC_1427) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima* &
                      coupl(nGC_244)**2d0 + 12d0*Nc*cima*coupl(nGC_3)**2d0 -   &
                      21d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_244)*sq2**2d0 + 21d0*&
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0 + 30d0*cima*  &
                      coupl(nGC_2)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_1426) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_1)**4d0*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_246) + 3d0*Nc*coupl(nGC_1 &
                      )**2d0*coupl(nGC_252) - 25d0*cima*coupl(nGC_2)**4d0*sq2**&
                      2d0)/(384d0*pi**2d0)
    coupl(nGC_1425) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 - 16d0*cima*coupl(nGC_11)*coupl(nGC_244) - 8d0&
                      *cima*coupl(nGC_11)*coupl(nGC_246) - 4d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_252) - 20d0*cima*coupl(nGC_11)*coupl(  &
                      nGC_3) - 80d0*cima*coupl(nGC_244)*coupl(nGC_616) + 4d0*  &
                      cima*coupl(nGC_246)*coupl(nGC_616) - 32d0*cima*coupl(    &
                      nGC_252)*coupl(nGC_616) - 44d0*cima*coupl(nGC_3)*coupl(  &
                      nGC_616) + 24d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 &
                       + 105d0*coupl(nGC_1)**2d0*coupl(nGC_616)*sq2**2d0)/(    &
                      1536d0*pi**2d0)
    coupl(nGC_1424) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 + 8d0*cima*coupl(nGC_11)*coupl(nGC_244) - 4d0*&
                      cima*coupl(nGC_11)*coupl(nGC_252) + 12d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_3) + 76d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_616) - 8d0*cima*coupl(nGC_246)*coupl(nGC_616) + 28d0*&
                      cima*coupl(nGC_252)*coupl(nGC_616) + 40d0*cima*coupl(    &
                      nGC_3)*coupl(nGC_616) - 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(nGC_616 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1423) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 + 12d0*cima*coupl(nGC_11)*coupl(nGC_244) + 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_246) + 16d0*cima*coupl(    &
                      nGC_11)*coupl(nGC_3) + 72d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_616) - 12d0*cima*coupl(nGC_246)*coupl(nGC_616) + 24d0&
                      *cima*coupl(nGC_252)*coupl(nGC_616) + 36d0*cima*coupl(   &
                      nGC_3)*coupl(nGC_616) - 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(nGC_616 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1422) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 - 20d0*cima*coupl(nGC_11)*coupl(nGC_244) - 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_246) - 8d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_252) - 16d0*cima*coupl(nGC_11)*coupl(  &
                      nGC_3) - 44d0*cima*coupl(nGC_244)*coupl(nGC_616) - 32d0* &
                      cima*coupl(nGC_246)*coupl(nGC_616) + 4d0*cima*coupl(     &
                      nGC_252)*coupl(nGC_616) - 80d0*cima*coupl(nGC_3)*coupl(  &
                      nGC_616) - 24d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 &
                       - 105d0*coupl(nGC_1)**2d0*coupl(nGC_616)*sq2**2d0)/(    &
                      1536d0*pi**2d0)
    coupl(nGC_1421) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 + 16d0*cima*coupl(nGC_11)*coupl(nGC_244) + 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_252) + 12d0*cima*coupl(    &
                      nGC_11)*coupl(nGC_3) + 36d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_616) + 24d0*cima*coupl(nGC_246)*coupl(nGC_616) - 12d0&
                      *cima*coupl(nGC_252)*coupl(nGC_616) + 72d0*cima*coupl(   &
                      nGC_3)*coupl(nGC_616) + 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(nGC_616 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2263) = -coupl(nGC_2262)
    coupl(nGC_2300) = 2d0*coupl(nGC_13)*dZg_QCD2 + coupl(nGC_1493)
    coupl(nGC_2305) = 2d0*coupl(nGC_2300)
    coupl(nGC_2304) = -coupl(nGC_2300)
    coupl(nGC_1401) = coupl(nGC_2)**2d0*sq2**3d0*(12d0*Nc**2d0*cima*coupl(     &
                      nGC_12) - 9d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_11) - 36d0* &
                      Nc**2d0*coupl(nGC_1)*coupl(nGC_616) + 5d0*cima*coupl(    &
                      nGC_11)*coupl(nGC_2) + 14d0*cima*coupl(nGC_2)*coupl(     &
                      nGC_616))/(768d0*pi**2d0*Nc**2d0)
    coupl(nGC_1429) = (10d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*Nc*cima*  &
                      coupl(nGC_244)*coupl(nGC_246) - 6d0*Nc*cima*coupl(nGC_246&
                      )*coupl(nGC_3) + 6d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_244)*&
                      sq2**2d0 - 6d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_246)*sq2** &
                      2d0 - 12d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0 -  &
                      5d0*cima*coupl(nGC_2)**4d0*sq2**4d0)/(384d0*pi**2d0*Nc)
    coupl(nGC_1405) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(-2d0*coupl(nGC_52) - 3d0* &
                      coupl(nGC_8))/(768d0*pi**2d0)
    coupl(nGC_1386) = Nc*(12d0*cima*coupl(nGC_1)*coupl(nGC_12)*sq2**2d0 + 4d0* &
                      cima*coupl(nGC_11)*coupl(nGC_244) - 4d0*cima*coupl(nGC_11&
                      )*coupl(nGC_3) + 44d0*cima*coupl(nGC_244)*coupl(nGC_616  &
                      ) + 4d0*cima*coupl(nGC_246)*coupl(nGC_616) - 4d0*cima*   &
                      coupl(nGC_252)*coupl(nGC_616) - 44d0*cima*coupl(nGC_3)*  &
                      coupl(nGC_616) - 5d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2 &
                      **2d0 - 66d0*coupl(nGC_1)**2d0*coupl(nGC_616)*sq2**2d0)/(&
                      768d0*pi**2d0)
    coupl(nGC_3434) = -coupl(nGC_1394)
    coupl(nGC_3432) = -coupl(nGC_1395)
    coupl(nGC_2139) = coupl(nGC_1497) + coupl(nGC_2136)
    coupl(nGC_1417) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 - 12d0*cima*coupl(nGC_11)*coupl(nGC_244) - 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_246) - 16d0*cima*coupl(    &
                      nGC_11)*coupl(nGC_3) - 72d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_616) + 12d0*cima*coupl(nGC_246)*coupl(nGC_616) - 24d0&
                      *cima*coupl(nGC_252)*coupl(nGC_616) - 36d0*cima*coupl(   &
                      nGC_3)*coupl(nGC_616) + 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(nGC_616 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1420) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 + 12d0*cima*coupl(nGC_11)*coupl(nGC_244) - 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_246) + 8d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_3) + 40d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_616) + 28d0*cima*coupl(nGC_246)*coupl(nGC_616) - 8d0*&
                      cima*coupl(nGC_252)*coupl(nGC_616) + 76d0*cima*coupl(    &
                      nGC_3)*coupl(nGC_616) + 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(nGC_616 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1470) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*    &
                      coupl(nGC_246)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 132d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl( &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 756d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 120d0*coupl(nGC_1)**2d0*   &
                      coupl(nGC_110)*sq2**2d0 - 120d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_112)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_118 &
                      )*sq2**2d0 - 168d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2** &
                      2d0 + 240d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2&
                      **2d0 - 240d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)* &
                      sq2**2d0 - 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252 &
                      )*sq2**2d0 - 336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3&
                      )*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_244)*coupl(    &
                      nGC_246) + 48d0*coupl(nGC_11)*coupl(nGC_246)*coupl(nGC_3 &
                      ) - 192d0*coupl(nGC_244)**2d0*coupl(nGC_616) - 528d0*    &
                      coupl(nGC_244)*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl&
                      (nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 192d0*coupl(   &
                      nGC_244)*coupl(nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_246&
                      )**2d0*coupl(nGC_616) + 48d0*coupl(nGC_246)*coupl(nGC_252&
                      )*coupl(nGC_616) + 432d0*coupl(nGC_246)*coupl(nGC_3)*    &
                      coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_1434) = (-10d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*cima*coupl( &
                      nGC_246)**2d0 + 18d0*coupl(nGC_1)**2d0*coupl(nGC_246)*sq2&
                      **2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_252)*sq2**2d0)/( &
                      192d0*pi**2d0)
    coupl(nGC_1435) = (-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 12d0*Nc*cima* &
                      coupl(nGC_244)*coupl(nGC_3) - 9d0*Nc*coupl(nGC_1)**2d0*  &
                      coupl(nGC_244)*sq2**2d0 + 12d0*Nc*coupl(nGC_1)**2d0*coupl&
                      (nGC_3)*sq2**2d0 + 15d0*cima*coupl(nGC_2)**4d0*sq2**4d0  &
                      )/(384d0*pi**2d0)
    coupl(nGC_1436) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima* &
                      coupl(nGC_244)**2d0 + 12d0*Nc*cima*coupl(nGC_3)**2d0 -   &
                      3d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_244)*sq2**2d0 + 39d0* &
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0 + 30d0*cima*  &
                      coupl(nGC_2)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_1437) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_246) + 9d0*Nc*coupl(nGC_1 &
                      )**2d0*coupl(nGC_252) - 50d0*cima*coupl(nGC_2)**4d0*sq2**&
                      2d0)/(768d0*pi**2d0)
    coupl(nGC_1430) = (10d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*Nc*cima*  &
                      coupl(nGC_244)*coupl(nGC_246) - 6d0*Nc*cima*coupl(nGC_246&
                      )*coupl(nGC_3) + 9d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_244)*&
                      sq2**2d0 - 9d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_246)*sq2** &
                      2d0 - 3d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_252)*sq2**2d0 - &
                      9d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0 - 5d0*cima&
                      *coupl(nGC_2)**4d0*sq2**4d0)/(384d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
