!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-08-03 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_1431) = (-20d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*cima*coupl(&
                      nGC_246)**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_244)*sq2 &
                      **2d0 + 33d0*coupl(nGC_1)**2d0*coupl(nGC_246)*sq2**2d0 + &
                      3d0*coupl(nGC_1)**2d0*coupl(nGC_252)*sq2**2d0 + 3d0*coupl&
                      (nGC_1)**2d0*coupl(nGC_3)*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_1432) = (-5d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 3d0*cima*coupl(  &
                      nGC_244)**2d0 - 6d0*cima*coupl(nGC_244)*coupl(nGC_3) +   &
                      3d0*cima*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_1)**2d0*coupl(&
                      nGC_244)*sq2**2d0 + 9d0*coupl(nGC_1)**2d0*coupl(nGC_3)*  &
                      sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_1433) = (-10d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*cima*coupl( &
                      nGC_246)**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_244)*sq2 &
                      **2d0 + 15d0*coupl(nGC_1)**2d0*coupl(nGC_246)*sq2**2d0 + &
                      3d0*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0)/(192d0*pi** &
                      2d0)
    coupl(nGC_2196) = coupl(nGC_2029) + coupl(nGC_2194)
    coupl(nGC_1471) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*    &
                      coupl(nGC_246)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 132d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl( &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 756d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 96d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_110)*sq2**2d0 - 96d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_112)*sq2**2d0 - 192d0*coupl(nGC_1)**2d0*coupl(nGC_13 &
                      )*sq2**2d0 + 264d0*coupl(nGC_1)*coupl(nGC_12)*coupl(     &
                      nGC_244)*sq2**2d0 - 264d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_246)*sq2**2d0 - 72d0*coupl(nGC_1)*coupl(nGC_12 &
                      )*coupl(nGC_252)*sq2**2d0 - 312d0*coupl(nGC_1)*coupl(    &
                      nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(&
                      nGC_244)*coupl(nGC_246) + 48d0*coupl(nGC_11)*coupl(      &
                      nGC_246)*coupl(nGC_3) - 192d0*coupl(nGC_244)**2d0*coupl( &
                      nGC_616) - 528d0*coupl(nGC_244)*coupl(nGC_246)*coupl(    &
                      nGC_616) + 96d0*coupl(nGC_244)*coupl(nGC_252)*coupl(     &
                      nGC_616) + 192d0*coupl(nGC_244)*coupl(nGC_3)*coupl(      &
                      nGC_616) - 48d0*coupl(nGC_246)**2d0*coupl(nGC_616) + 48d0&
                      *coupl(nGC_246)*coupl(nGC_252)*coupl(nGC_616) + 432d0*   &
                      coupl(nGC_246)*coupl(nGC_3)*coupl(nGC_616))/(6144d0*pi** &
                      2d0)
    coupl(nGC_1414) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 - 12d0*cima*coupl(nGC_11)*coupl(nGC_244) + 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_246) - 8d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_3) - 40d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_616) - 28d0*cima*coupl(nGC_246)*coupl(nGC_616) + 8d0*&
                      cima*coupl(nGC_252)*coupl(nGC_616) - 76d0*cima*coupl(    &
                      nGC_3)*coupl(nGC_616) - 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(nGC_616 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1415) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 - 16d0*cima*coupl(nGC_11)*coupl(nGC_244) - 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_252) - 12d0*cima*coupl(    &
                      nGC_11)*coupl(nGC_3) - 36d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_616) - 24d0*cima*coupl(nGC_246)*coupl(nGC_616) + 12d0&
                      *cima*coupl(nGC_252)*coupl(nGC_616) - 72d0*cima*coupl(   &
                      nGC_3)*coupl(nGC_616) - 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(nGC_616 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1438) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**2d0 - 9d0* &
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_246) + 3d0*Nc*coupl(nGC_1 &
                      )**2d0*coupl(nGC_252) - 50d0*cima*coupl(nGC_2)**4d0*sq2**&
                      2d0)/(768d0*pi**2d0)
    coupl(nGC_1413) = (16d0*cima*coupl(nGC_244)*coupl(nGC_52) + 80d0*cima*coupl&
                      (nGC_246)*coupl(nGC_52) + 8d0*cima*coupl(nGC_246)*coupl( &
                      nGC_8) + 146d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2**2d0  &
                       - 11d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(768d0* &
                      pi**2d0)
    coupl(nGC_1476) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_244)*sq2**2d0 + 12d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_246)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**&
                      2d0*coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 + 188d0*cima*  &
                      coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 -  &
                      568d0*cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616&
                      )*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*  &
                      coupl(nGC_616)*sq2**2d0 + 32d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 + 1040d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + &
                      192d0*cima*coupl(nGC_110)*coupl(nGC_244) + 192d0*cima*   &
                      coupl(nGC_13)*coupl(nGC_3) + 63d0*coupl(nGC_1)**4d0*coupl&
                      (nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(nGC_616&
                      )*sq2**4d0 - 48d0*coupl(nGC_1)**2d0*coupl(nGC_110)*sq2** &
                      2d0 + 288d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 -   &
                      312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2**2d0 &
                       + 360d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0&
                       - 48d0*coupl(nGC_11)*coupl(nGC_244)**2d0 - 48d0*coupl(  &
                      nGC_11)*coupl(nGC_3)**2d0 - 480d0*coupl(nGC_244)**2d0*   &
                      coupl(nGC_616) - 96d0*coupl(nGC_244)*coupl(nGC_246)*coupl&
                      (nGC_616) + 96d0*coupl(nGC_244)*coupl(nGC_3)*coupl(      &
                      nGC_616) + 96d0*coupl(nGC_246)*coupl(nGC_252)*coupl(     &
                      nGC_616) - 96d0*coupl(nGC_252)*coupl(nGC_3)*coupl(nGC_616&
                      ) - 480d0*coupl(nGC_3)**2d0*coupl(nGC_616))/(6144d0*pi** &
                      2d0)
    coupl(nGC_1411) = (-12d0*cima*coupl(nGC_1)*coupl(nGC_9)*sq2**2d0 + 8d0*cima&
                      *coupl(nGC_244)*coupl(nGC_52) + 40d0*cima*coupl(nGC_246)*&
                      coupl(nGC_52) + 4d0*cima*coupl(nGC_246)*coupl(nGC_8) +   &
                      66d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2**2d0 + 5d0*coupl&
                      (nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_1473) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +  &
                      48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 + 200d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*   &
                      coupl(nGC_246)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 + 16d0*cima*coupl( &
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 288d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 + 1248d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*    &
                      coupl(nGC_616)*sq2**2d0 + 48d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 + 48d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 192d0*&
                      cima*coupl(nGC_112)*coupl(nGC_246) + 123d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0*    &
                      coupl(nGC_616)*sq2**4d0 + 48d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_110)*sq2**2d0 + 240d0*coupl(nGC_1)**2d0*coupl(nGC_112&
                      )*sq2**2d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**  &
                      2d0 + 24d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2 &
                      **2d0 + 552d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)* &
                      sq2**2d0 + 72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252 &
                      )*sq2**2d0 + 24d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3 &
                      )*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_246)**2d0 -    &
                      144d0*coupl(nGC_244)**2d0*coupl(nGC_616) - 192d0*coupl(  &
                      nGC_244)*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl(     &
                      nGC_244)*coupl(nGC_252)*coupl(nGC_616) - 432d0*coupl(    &
                      nGC_246)**2d0*coupl(nGC_616) + 96d0*coupl(nGC_246)*coupl(&
                      nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_252)**2d0*coupl(  &
                      nGC_616) - 48d0*coupl(nGC_3)**2d0*coupl(nGC_616))/(3072d0&
                      *pi**2d0)
    coupl(nGC_1475) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 - 52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*    &
                      coupl(nGC_246)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*    &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 164d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 492d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 804d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 96d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_110)*sq2**2d0 - 96d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_112)*sq2**2d0 - 192d0*coupl(nGC_1)**2d0*coupl(nGC_13 &
                      )*sq2**2d0 + 240d0*coupl(nGC_1)*coupl(nGC_12)*coupl(     &
                      nGC_244)*sq2**2d0 - 240d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_246)*sq2**2d0 - 48d0*coupl(nGC_1)*coupl(nGC_12 &
                      )*coupl(nGC_252)*sq2**2d0 - 336d0*coupl(nGC_1)*coupl(    &
                      nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(&
                      nGC_244)*coupl(nGC_246) + 48d0*coupl(nGC_11)*coupl(      &
                      nGC_246)*coupl(nGC_3) - 192d0*coupl(nGC_244)**2d0*coupl( &
                      nGC_616) - 528d0*coupl(nGC_244)*coupl(nGC_246)*coupl(    &
                      nGC_616) + 96d0*coupl(nGC_244)*coupl(nGC_252)*coupl(     &
                      nGC_616) + 192d0*coupl(nGC_244)*coupl(nGC_3)*coupl(      &
                      nGC_616) - 48d0*coupl(nGC_246)**2d0*coupl(nGC_616) + 48d0&
                      *coupl(nGC_246)*coupl(nGC_252)*coupl(nGC_616) + 432d0*   &
                      coupl(nGC_246)*coupl(nGC_3)*coupl(nGC_616))/(6144d0*pi** &
                      2d0)
    coupl(nGC_1474) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244 &
                      )*sq2**2d0 - 116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_246)*sq2**2d0 - 56d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 100d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 588d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0*coupl( &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 708d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 120d0*coupl(nGC_1)**2d0*   &
                      coupl(nGC_110)*sq2**2d0 - 120d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_112)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_118 &
                      )*sq2**2d0 - 168d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2** &
                      2d0 + 264d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2&
                      **2d0 - 264d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)* &
                      sq2**2d0 - 72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252 &
                      )*sq2**2d0 - 312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3&
                      )*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_244)*coupl(    &
                      nGC_246) + 48d0*coupl(nGC_11)*coupl(nGC_246)*coupl(nGC_3 &
                      ) - 192d0*coupl(nGC_244)**2d0*coupl(nGC_616) - 528d0*    &
                      coupl(nGC_244)*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl&
                      (nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 192d0*coupl(   &
                      nGC_244)*coupl(nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_246&
                      )**2d0*coupl(nGC_616) + 48d0*coupl(nGC_246)*coupl(nGC_252&
                      )*coupl(nGC_616) + 432d0*coupl(nGC_246)*coupl(nGC_3)*    &
                      coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_1446) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 - 40d0*cima*coupl(nGC_244)*coupl(nGC_52) - 12d0*&
                      cima*coupl(nGC_244)*coupl(nGC_8) - 28d0*cima*coupl(      &
                      nGC_246)*coupl(nGC_52) + 4d0*cima*coupl(nGC_246)*coupl(  &
                      nGC_8) + 8d0*cima*coupl(nGC_252)*coupl(nGC_52) - 76d0*   &
                      cima*coupl(nGC_3)*coupl(nGC_52) - 8d0*cima*coupl(nGC_3)* &
                      coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2 &
                      **2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(  &
                      1536d0*pi**2d0)
    coupl(nGC_1418) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 - 8d0*cima*coupl(nGC_11)*coupl(nGC_244) + 4d0*&
                      cima*coupl(nGC_11)*coupl(nGC_252) - 12d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_3) - 76d0*cima*coupl(nGC_244)*coupl(   &
                      nGC_616) + 8d0*cima*coupl(nGC_246)*coupl(nGC_616) - 28d0*&
                      cima*coupl(nGC_252)*coupl(nGC_616) - 40d0*cima*coupl(    &
                      nGC_3)*coupl(nGC_616) + 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(nGC_616 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1439) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 24d0*Nc*cima* &
                      coupl(nGC_244)*coupl(nGC_3) - 39d0*Nc*coupl(nGC_1)**2d0* &
                      coupl(nGC_244)*sq2**2d0 + 3d0*Nc*coupl(nGC_1)**2d0*coupl(&
                      nGC_3)*sq2**2d0 + 30d0*cima*coupl(nGC_2)**4d0*sq2**4d0)/(&
                      768d0*pi**2d0)
    coupl(nGC_1462) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      76d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 - 76d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*    &
                      coupl(nGC_246)*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 140d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 492d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 804d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 96d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_110)*sq2**2d0 - 96d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_112)*sq2**2d0 - 192d0*coupl(nGC_1)**2d0*coupl(nGC_13 &
                      )*sq2**2d0 + 240d0*coupl(nGC_1)*coupl(nGC_12)*coupl(     &
                      nGC_244)*sq2**2d0 - 240d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_246)*sq2**2d0 - 48d0*coupl(nGC_1)*coupl(nGC_12 &
                      )*coupl(nGC_252)*sq2**2d0 - 336d0*coupl(nGC_1)*coupl(    &
                      nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(&
                      nGC_244)*coupl(nGC_246) + 48d0*coupl(nGC_11)*coupl(      &
                      nGC_246)*coupl(nGC_3) - 192d0*coupl(nGC_244)**2d0*coupl( &
                      nGC_616) - 528d0*coupl(nGC_244)*coupl(nGC_246)*coupl(    &
                      nGC_616) + 96d0*coupl(nGC_244)*coupl(nGC_252)*coupl(     &
                      nGC_616) + 192d0*coupl(nGC_244)*coupl(nGC_3)*coupl(      &
                      nGC_616) - 48d0*coupl(nGC_246)**2d0*coupl(nGC_616) + 48d0&
                      *coupl(nGC_246)*coupl(nGC_252)*coupl(nGC_616) + 432d0*   &
                      coupl(nGC_246)*coupl(nGC_3)*coupl(nGC_616))/(6144d0*pi** &
                      2d0)
    coupl(nGC_2145) = coupl(nGC_2029) + coupl(nGC_2140)
    coupl(nGC_2144) = coupl(nGC_2029) + coupl(nGC_2143)
    coupl(nGC_3174) = -2d0*coupl(nGC_3167)
    coupl(nGC_1477) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       + 24d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                      nGC_244)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_246)*sq2**2d0 + 64d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 40d0*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 +  &
                      80d0*cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616 &
                      )*sq2**2d0 - 160d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*&
                      coupl(nGC_616)*sq2**2d0 + 224d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 - 112d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 - 3d0* &
                      coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 162d0*coupl(  &
                      nGC_1)**4d0*coupl(nGC_616)*sq2**4d0 - 48d0*coupl(nGC_1)**&
                      2d0*coupl(nGC_112)*sq2**2d0 + 48d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_118)*sq2**2d0 - 72d0*coupl(nGC_1)*coupl(nGC_12 &
                      )*coupl(nGC_246)*sq2**2d0 + 120d0*coupl(nGC_1)*coupl(    &
                      nGC_12)*coupl(nGC_252)*sq2**2d0 - 96d0*coupl(nGC_244)*   &
                      coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl(nGC_244)*coupl&
                      (nGC_252)*coupl(nGC_616) + 96d0*coupl(nGC_246)*coupl(    &
                      nGC_3)*coupl(nGC_616) - 96d0*coupl(nGC_252)*coupl(nGC_3)*&
                      coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_2069) = coupl(nGC_2029) + coupl(nGC_2068)
    coupl(nGC_1445) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 - 72d0*cima*coupl(nGC_244)*coupl(nGC_52) -    &
                      12d0*cima*coupl(nGC_244)*coupl(nGC_8) + 12d0*cima*coupl( &
                      nGC_246)*coupl(nGC_52) - 4d0*cima*coupl(nGC_246)*coupl(  &
                      nGC_8) - 24d0*cima*coupl(nGC_252)*coupl(nGC_52) - 36d0*  &
                      cima*coupl(nGC_3)*coupl(nGC_52) - 16d0*cima*coupl(nGC_3)*&
                      coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2 &
                      **2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(  &
                      1536d0*pi**2d0)
    coupl(nGC_1447) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 - 76d0*cima*coupl(nGC_244)*coupl(nGC_52) - 8d0&
                      *cima*coupl(nGC_244)*coupl(nGC_8) + 8d0*cima*coupl(      &
                      nGC_246)*coupl(nGC_52) - 28d0*cima*coupl(nGC_252)*coupl( &
                      nGC_52) + 4d0*cima*coupl(nGC_252)*coupl(nGC_8) - 40d0*   &
                      cima*coupl(nGC_3)*coupl(nGC_52) - 12d0*cima*coupl(nGC_3)*&
                      coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2 &
                      **2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(  &
                      1536d0*pi**2d0)
    coupl(nGC_2038) = 2d0*coupl(nGC_10)*dZg_QCD2 + coupl(nGC_1492)
    coupl(nGC_2488) = coupl(nGC_1496) + coupl(nGC_2485)
    coupl(nGC_1440) = (-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 12d0*Nc*cima* &
                      coupl(nGC_244)*coupl(nGC_3) - 12d0*Nc*coupl(nGC_1)**2d0* &
                      coupl(nGC_244)*sq2**2d0 + 9d0*Nc*coupl(nGC_1)**2d0*coupl(&
                      nGC_3)*sq2**2d0 + 15d0*cima*coupl(nGC_2)**4d0*sq2**4d0)/(&
                      384d0*pi**2d0)
    coupl(nGC_1472) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +  &
                      48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 + 200d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*   &
                      coupl(nGC_246)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 + 16d0*cima*coupl( &
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 288d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 + 1248d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*    &
                      coupl(nGC_616)*sq2**2d0 + 48d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 + 48d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 192d0*&
                      cima*coupl(nGC_112)*coupl(nGC_246) + 123d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0*    &
                      coupl(nGC_616)*sq2**4d0 + 288d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_112)*sq2**2d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_118 &
                      )*sq2**2d0 + 72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(      &
                      nGC_244)*sq2**2d0 + 504d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_246)*sq2**2d0 + 24d0*coupl(nGC_1)*coupl(nGC_12 &
                      )*coupl(nGC_252)*sq2**2d0 + 72d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(&
                      nGC_246)**2d0 - 96d0*coupl(nGC_244)**2d0*coupl(nGC_616   &
                      ) - 288d0*coupl(nGC_244)*coupl(nGC_246)*coupl(nGC_616) + &
                      96d0*coupl(nGC_244)*coupl(nGC_3)*coupl(nGC_616) - 384d0* &
                      coupl(nGC_246)**2d0*coupl(nGC_616) + 96d0*coupl(nGC_246)*&
                      coupl(nGC_252)*coupl(nGC_616) - 96d0*coupl(nGC_252)*coupl&
                      (nGC_3)*coupl(nGC_616))/(3072d0*pi**2d0)
    coupl(nGC_1449) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 + 44d0*cima*coupl(nGC_244)*coupl(nGC_52) +    &
                      20d0*cima*coupl(nGC_244)*coupl(nGC_8) + 32d0*cima*coupl( &
                      nGC_246)*coupl(nGC_52) + 4d0*cima*coupl(nGC_246)*coupl(  &
                      nGC_8) - 4d0*cima*coupl(nGC_252)*coupl(nGC_52) + 8d0*cima&
                      *coupl(nGC_252)*coupl(nGC_8) + 80d0*cima*coupl(nGC_3)*   &
                      coupl(nGC_52) + 16d0*cima*coupl(nGC_3)*coupl(nGC_8) +    &
                      105d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2**2d0 + 24d0*   &
                      coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1448) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 + 80d0*cima*coupl(nGC_244)*coupl(nGC_52) + 16d0*&
                      cima*coupl(nGC_244)*coupl(nGC_8) - 4d0*cima*coupl(nGC_246&
                      )*coupl(nGC_52) + 8d0*cima*coupl(nGC_246)*coupl(nGC_8) + &
                      32d0*cima*coupl(nGC_252)*coupl(nGC_52) + 4d0*cima*coupl( &
                      nGC_252)*coupl(nGC_8) + 44d0*cima*coupl(nGC_3)*coupl(    &
                      nGC_52) + 20d0*cima*coupl(nGC_3)*coupl(nGC_8) - 105d0*   &
                      coupl(nGC_1)**2d0*coupl(nGC_52)*sq2**2d0 - 24d0*coupl(   &
                      nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_1464) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      92d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 - 92d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*    &
                      coupl(nGC_246)*sq2**2d0 - 32d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 124d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 588d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0*coupl( &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 708d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 120d0*coupl(nGC_1)**2d0*   &
                      coupl(nGC_110)*sq2**2d0 - 120d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_112)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_118 &
                      )*sq2**2d0 - 168d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2** &
                      2d0 + 264d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2&
                      **2d0 - 264d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)* &
                      sq2**2d0 - 72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252 &
                      )*sq2**2d0 - 312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3&
                      )*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_244)*coupl(    &
                      nGC_246) + 48d0*coupl(nGC_11)*coupl(nGC_246)*coupl(nGC_3 &
                      ) - 192d0*coupl(nGC_244)**2d0*coupl(nGC_616) - 528d0*    &
                      coupl(nGC_244)*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl&
                      (nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 192d0*coupl(   &
                      nGC_244)*coupl(nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_246&
                      )**2d0*coupl(nGC_616) + 48d0*coupl(nGC_246)*coupl(nGC_252&
                      )*coupl(nGC_616) + 432d0*coupl(nGC_246)*coupl(nGC_3)*    &
                      coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_2043) = 2d0*coupl(nGC_2038)
    coupl(nGC_1469) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*    &
                      coupl(nGC_246)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 132d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl( &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 756d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 144d0*coupl(nGC_1)**2d0*   &
                      coupl(nGC_110)*sq2**2d0 - 144d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_112)*sq2**2d0 - 48d0*coupl(nGC_1)**2d0*coupl(nGC_118 &
                      )*sq2**2d0 - 144d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2** &
                      2d0 + 216d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2&
                      **2d0 - 216d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)* &
                      sq2**2d0 - 24d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252 &
                      )*sq2**2d0 - 360d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3&
                      )*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_244)*coupl(    &
                      nGC_246) + 48d0*coupl(nGC_11)*coupl(nGC_246)*coupl(nGC_3 &
                      ) - 192d0*coupl(nGC_244)**2d0*coupl(nGC_616) - 528d0*    &
                      coupl(nGC_244)*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl&
                      (nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 192d0*coupl(   &
                      nGC_244)*coupl(nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_246&
                      )**2d0*coupl(nGC_616) + 48d0*coupl(nGC_246)*coupl(nGC_252&
                      )*coupl(nGC_616) + 432d0*coupl(nGC_246)*coupl(nGC_3)*    &
                      coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_1468) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +  &
                      56d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 + 192d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*   &
                      coupl(nGC_246)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*    &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 + 24d0*cima*coupl( &
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 336d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 + 1200d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*    &
                      coupl(nGC_616)*sq2**2d0 + 96d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 192d0*cima*coupl( &
                      nGC_112)*coupl(nGC_246) + 123d0*coupl(nGC_1)**4d0*coupl( &
                      nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0*coupl(nGC_616 &
                      )*sq2**4d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_110)*sq2** &
                      2d0 + 240d0*coupl(nGC_1)**2d0*coupl(nGC_112)*sq2**2d0 +  &
                      48d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 48d0*    &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2**2d0 +     &
                      528d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)*sq2**2d0 &
                       + 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252)*sq2**  &
                      2d0 + 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                      2d0 - 48d0*coupl(nGC_11)*coupl(nGC_246)**2d0 - 144d0*    &
                      coupl(nGC_244)**2d0*coupl(nGC_616) - 192d0*coupl(nGC_244 &
                      )*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl(nGC_244)*   &
                      coupl(nGC_252)*coupl(nGC_616) - 432d0*coupl(nGC_246)**2d0&
                      *coupl(nGC_616) + 96d0*coupl(nGC_246)*coupl(nGC_3)*coupl(&
                      nGC_616) - 48d0*coupl(nGC_252)**2d0*coupl(nGC_616) - 48d0&
                      *coupl(nGC_3)**2d0*coupl(nGC_616))/(3072d0*pi**2d0)
    coupl(nGC_2042) = -coupl(nGC_2038)
    coupl(nGC_1460) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244 &
                      )*sq2**2d0 - 116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_246)*sq2**2d0 - 56d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 100d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 588d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0*coupl( &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 708d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 144d0*coupl(nGC_1)**2d0*   &
                      coupl(nGC_110)*sq2**2d0 - 144d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_112)*sq2**2d0 - 48d0*coupl(nGC_1)**2d0*coupl(nGC_118 &
                      )*sq2**2d0 - 144d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2** &
                      2d0 + 240d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2&
                      **2d0 - 240d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)* &
                      sq2**2d0 - 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252 &
                      )*sq2**2d0 - 336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3&
                      )*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_244)*coupl(    &
                      nGC_246) + 48d0*coupl(nGC_11)*coupl(nGC_246)*coupl(nGC_3 &
                      ) - 192d0*coupl(nGC_244)**2d0*coupl(nGC_616) - 528d0*    &
                      coupl(nGC_244)*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl&
                      (nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 192d0*coupl(   &
                      nGC_244)*coupl(nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_246&
                      )**2d0*coupl(nGC_616) + 48d0*coupl(nGC_246)*coupl(nGC_252&
                      )*coupl(nGC_616) + 432d0*coupl(nGC_246)*coupl(nGC_3)*    &
                      coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_1406) = Nc*(12d0*cima*coupl(nGC_1)*coupl(nGC_9)*sq2**2d0 + 44d0* &
                      cima*coupl(nGC_244)*coupl(nGC_52) + 4d0*cima*coupl(      &
                      nGC_244)*coupl(nGC_8) + 4d0*cima*coupl(nGC_246)*coupl(   &
                      nGC_52) - 4d0*cima*coupl(nGC_252)*coupl(nGC_52) - 44d0*  &
                      cima*coupl(nGC_3)*coupl(nGC_52) - 4d0*cima*coupl(nGC_3)* &
                      coupl(nGC_8) - 66d0*coupl(nGC_1)**2d0*coupl(nGC_52)*sq2**&
                      2d0 - 5d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(768d0&
                      *pi**2d0)
    coupl(nGC_1463) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 - 52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*    &
                      coupl(nGC_246)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*    &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 164d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 492d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 804d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 144d0*coupl(nGC_1)**2d0*   &
                      coupl(nGC_110)*sq2**2d0 - 144d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_112)*sq2**2d0 - 48d0*coupl(nGC_1)**2d0*coupl(nGC_118 &
                      )*sq2**2d0 - 144d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2** &
                      2d0 + 192d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2&
                      **2d0 - 192d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)* &
                      sq2**2d0 - 384d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*&
                      sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_244)*coupl(      &
                      nGC_246) + 48d0*coupl(nGC_11)*coupl(nGC_246)*coupl(nGC_3 &
                      ) - 192d0*coupl(nGC_244)**2d0*coupl(nGC_616) - 528d0*    &
                      coupl(nGC_244)*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl&
                      (nGC_244)*coupl(nGC_252)*coupl(nGC_616) + 192d0*coupl(   &
                      nGC_244)*coupl(nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_246&
                      )**2d0*coupl(nGC_616) + 48d0*coupl(nGC_246)*coupl(nGC_252&
                      )*coupl(nGC_616) + 432d0*coupl(nGC_246)*coupl(nGC_3)*    &
                      coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_1408) = Nc*(88d0*cima*coupl(nGC_244)*coupl(nGC_52) + 8d0*cima*   &
                      coupl(nGC_244)*coupl(nGC_8) + 8d0*cima*coupl(nGC_246)*   &
                      coupl(nGC_52) - 8d0*cima*coupl(nGC_252)*coupl(nGC_52) -  &
                      88d0*cima*coupl(nGC_3)*coupl(nGC_52) - 8d0*cima*coupl(   &
                      nGC_3)*coupl(nGC_8) - 146d0*coupl(nGC_1)**2d0*coupl(     &
                      nGC_52)*sq2**2d0 + 11d0*coupl(nGC_1)**2d0*coupl(nGC_8)*  &
                      sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_2301) = -2d0*coupl(nGC_2300)
    coupl(nGC_2083) = -coupl(nGC_2082)
    coupl(nGC_1467) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +  &
                      40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244)*&
                      sq2**2d0 + 208d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*   &
                      coupl(nGC_246)*sq2**2d0 + 24d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 + 8d0*cima*coupl(  &
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 240d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 + 1296d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*    &
                      coupl(nGC_616)*sq2**2d0 + 96d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 + 192d0*cima*coupl&
                      (nGC_112)*coupl(nGC_246) + 123d0*coupl(nGC_1)**4d0*coupl(&
                      nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0*coupl(nGC_616 &
                      )*sq2**4d0 + 288d0*coupl(nGC_1)**2d0*coupl(nGC_112)*sq2**&
                      2d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_118)*sq2**2d0 +   &
                      48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2**2d0  &
                       + 528d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_246)*sq2** &
                      2d0 + 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_252)*sq2 &
                      **2d0 + 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2 &
                      **2d0 - 48d0*coupl(nGC_11)*coupl(nGC_246)**2d0 - 96d0*   &
                      coupl(nGC_244)**2d0*coupl(nGC_616) - 288d0*coupl(nGC_244 &
                      )*coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl(nGC_244)*   &
                      coupl(nGC_3)*coupl(nGC_616) - 384d0*coupl(nGC_246)**2d0* &
                      coupl(nGC_616) + 96d0*coupl(nGC_246)*coupl(nGC_252)*coupl&
                      (nGC_616) - 96d0*coupl(nGC_252)*coupl(nGC_3)*coupl(      &
                      nGC_616))/(3072d0*pi**2d0)
    coupl(nGC_1466) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 -  &
                      168d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244 &
                      )*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_246)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 + 232d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - 1224d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 120d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 + 120d0*cima*coupl(nGC_1)**2d0*coupl( &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 + 1416d0*cima*coupl(    &
                      nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 192d0*&
                      cima*coupl(nGC_110)*coupl(nGC_244) - 192d0*cima*coupl(   &
                      nGC_110)*coupl(nGC_3) - 192d0*cima*coupl(nGC_13)*coupl(  &
                      nGC_244) + 192d0*cima*coupl(nGC_13)*coupl(nGC_3) + 123d0*&
                      coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 862d0*coupl(  &
                      nGC_1)**4d0*coupl(nGC_616)*sq2**4d0 - 192d0*coupl(nGC_1  &
                      )**2d0*coupl(nGC_110)*sq2**2d0 + 288d0*coupl(nGC_1)**2d0*&
                      coupl(nGC_13)*sq2**2d0 - 384d0*coupl(nGC_1)*coupl(nGC_12 &
                      )*coupl(nGC_244)*sq2**2d0 + 576d0*coupl(nGC_1)*coupl(    &
                      nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(&
                      nGC_244)**2d0 + 96d0*coupl(nGC_11)*coupl(nGC_244)*coupl( &
                      nGC_3) - 48d0*coupl(nGC_11)*coupl(nGC_3)**2d0 - 672d0*   &
                      coupl(nGC_244)**2d0*coupl(nGC_616) - 96d0*coupl(nGC_244)*&
                      coupl(nGC_246)*coupl(nGC_616) + 96d0*coupl(nGC_244)*coupl&
                      (nGC_252)*coupl(nGC_616) + 960d0*coupl(nGC_244)*coupl(   &
                      nGC_3)*coupl(nGC_616) + 96d0*coupl(nGC_246)*coupl(nGC_3)*&
                      coupl(nGC_616) - 96d0*coupl(nGC_252)*coupl(nGC_3)*coupl( &
                      nGC_616) - 480d0*coupl(nGC_3)**2d0*coupl(nGC_616))/(     &
                      3072d0*pi**2d0)
    coupl(nGC_1465) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_244 &
                      )*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_246)*sq2**2d0 - 48d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 108d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2 &
                      **2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl&
                      (nGC_616)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl( &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 - 756d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 + 96d0*cima* &
                      coupl(nGC_110)*coupl(nGC_246) + 96d0*cima*coupl(nGC_112)*&
                      coupl(nGC_244) - 96d0*cima*coupl(nGC_112)*coupl(nGC_3) - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_246) - 123d0*coupl(    &
                      nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*coupl(nGC_1)**&
                      4d0*coupl(nGC_616)*sq2**4d0 + 96d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_110)*sq2**2d0 - 96d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_112)*sq2**2d0 - 192d0*coupl(nGC_1)**2d0*coupl(nGC_13 &
                      )*sq2**2d0 + 264d0*coupl(nGC_1)*coupl(nGC_12)*coupl(     &
                      nGC_244)*sq2**2d0 - 264d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_246)*sq2**2d0 - 72d0*coupl(nGC_1)*coupl(nGC_12 &
                      )*coupl(nGC_252)*sq2**2d0 - 312d0*coupl(nGC_1)*coupl(    &
                      nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(&
                      nGC_244)*coupl(nGC_246) + 48d0*coupl(nGC_11)*coupl(      &
                      nGC_246)*coupl(nGC_3) - 192d0*coupl(nGC_244)**2d0*coupl( &
                      nGC_616) - 528d0*coupl(nGC_244)*coupl(nGC_246)*coupl(    &
                      nGC_616) + 96d0*coupl(nGC_244)*coupl(nGC_252)*coupl(     &
                      nGC_616) + 192d0*coupl(nGC_244)*coupl(nGC_3)*coupl(      &
                      nGC_616) - 48d0*coupl(nGC_246)**2d0*coupl(nGC_616) + 48d0&
                      *coupl(nGC_246)*coupl(nGC_252)*coupl(nGC_616) + 432d0*   &
                      coupl(nGC_246)*coupl(nGC_3)*coupl(nGC_616))/(6144d0*pi** &
                      2d0)
    coupl(nGC_1428) = (20d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima* &
                      coupl(nGC_244)*coupl(nGC_246) - 12d0*Nc*cima*coupl(      &
                      nGC_246)*coupl(nGC_3) + 15d0*Nc*coupl(nGC_1)**2d0*coupl( &
                      nGC_244)*sq2**2d0 - 15d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                      nGC_246)*sq2**2d0 - 3d0*Nc*coupl(nGC_1)**2d0*coupl(      &
                      nGC_252)*sq2**2d0 - 21d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_3&
                      )*sq2**2d0 - 10d0*cima*coupl(nGC_2)**4d0*sq2**4d0)/(768d0&
                      *pi**2d0*Nc)
    coupl(nGC_1478) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_244)*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_252)*sq2**2d0 + 148d0*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - 772d0*cima* &
                      coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616)*sq2**2d0 &
                       - 28d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*coupl(     &
                      nGC_616)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_252)*coupl(nGC_616)*sq2**2d0 + 836d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 - 192d0*cima*&
                      coupl(nGC_110)*coupl(nGC_3) - 192d0*cima*coupl(nGC_13)*  &
                      coupl(nGC_244) + 63d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2&
                      **4d0 + 350d0*coupl(nGC_1)**4d0*coupl(nGC_616)*sq2**4d0  &
                       - 288d0*coupl(nGC_1)**2d0*coupl(nGC_110)*sq2**2d0 + 48d0&
                      *coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 - 192d0*coupl( &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_244)*sq2**2d0 + 480d0*    &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 + 96d0* &
                      coupl(nGC_11)*coupl(nGC_244)*coupl(nGC_3) - 48d0*coupl(  &
                      nGC_244)**2d0*coupl(nGC_616) + 96d0*coupl(nGC_244)*coupl(&
                      nGC_252)*coupl(nGC_616) + 960d0*coupl(nGC_244)*coupl(    &
                      nGC_3)*coupl(nGC_616) - 48d0*coupl(nGC_246)**2d0*coupl(  &
                      nGC_616) + 96d0*coupl(nGC_246)*coupl(nGC_3)*coupl(nGC_616&
                      ) - 48d0*coupl(nGC_252)**2d0*coupl(nGC_616) - 48d0*coupl(&
                      nGC_3)**2d0*coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_2197) = coupl(nGC_2029) + coupl(nGC_2195)
    coupl(nGC_1479) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       + 32d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                      nGC_244)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_246)*sq2**2d0 + 64d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_11)*coupl(nGC_252)*sq2**2d0 - 32d0*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 +  &
                      96d0*cima*coupl(nGC_1)**2d0*coupl(nGC_244)*coupl(nGC_616 &
                      )*sq2**2d0 - 192d0*cima*coupl(nGC_1)**2d0*coupl(nGC_246)*&
                      coupl(nGC_616)*sq2**2d0 + 192d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_252)*coupl(nGC_616)*sq2**2d0 - 96d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_616)*sq2**2d0 - 3d0*  &
                      coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 162d0*coupl(  &
                      nGC_1)**4d0*coupl(nGC_616)*sq2**4d0 + 96d0*coupl(nGC_1)**&
                      2d0*coupl(nGC_118)*sq2**2d0 - 144d0*coupl(nGC_1)*coupl(  &
                      nGC_12)*coupl(nGC_246)*sq2**2d0 + 48d0*coupl(nGC_1)*coupl&
                      (nGC_12)*coupl(nGC_252)*sq2**2d0 - 192d0*coupl(nGC_244)* &
                      coupl(nGC_246)*coupl(nGC_616) - 192d0*coupl(nGC_252)*    &
                      coupl(nGC_3)*coupl(nGC_616))/(6144d0*pi**2d0)
    coupl(nGC_2239) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_1490)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
